﻿<?xml version="1.0" encoding="utf-8" ?>
<ContentPage xmlns="http://xamarin.com/schemas/2014/forms"
             xmlns:x="http://schemas.microsoft.com/winfx/2009/xaml"
             x:Class="Mapa.Views.HistoricoPage"
             Title="Histórico">

    <ContentPage.ToolbarItems>
        <ToolbarItem Icon="ic_pin_drop.png" 
                     Text="Navegar" 
                     Command="{Binding NavegarMapaCommand}">
        </ToolbarItem>
        <ToolbarItem Icon="ic_restore_from_trash.png" 
                     Text="Excluir" 
                     Command="{Binding ApagarHistoricoCommand}">
        </ToolbarItem>
    </ContentPage.ToolbarItems>

    <ListView x:Name="MyListView"
            ItemsSource="{Binding Historicos}"
            CachingStrategy="RecycleElement"
            SelectedItem="{Binding HistoricoSelecionado}">

        <!--Built in Cells-->
        <ListView.ItemTemplate>
            <DataTemplate>
                <TextCell Text="{Binding EnderecoOrigem}" Detail="{Binding EnderecoDestino}" />
            </DataTemplate>
        </ListView.ItemTemplate>

        <!--Custom View Cells-->
        <!--
    <ListView.ItemTemplate>
      <DataTemplate>
        <ViewCell>
          <StackLayout>
            <Label Text="{Binding Text}" 
                   Style="{DynamicResource ListItemTextStyle}" />
            <Label Text="{Binding Detail}" 
                   Style="{DynamicResource ListItemDetailTextStyle}"/>
          </StackLayout>
        </ViewCell>
      </DataTemplate>
    </ListView.ItemTemplate>
    -->
    </ListView>
</ContentPage>
